Package twisted :: Package protocols :: Module imap4 :: Class ISearchableMailbox

[frames | no frames]

## Class ISearchableMailbox

    Interface --+
                |
               ISearchableMailbox

Method Summary
`list` or `Deferred` | ``search`(self, query, uid)` Search for messages that meet the given query criteria.

Method Details

### search(self, query, uid)

Search for messages that meet the given query criteria.

If this interface is not implemented by the mailbox, `IMailbox.fetch` and various methods of `IMessage` will be used instead.

Implementations which wish to offer better performance than the default implementation should implement this interface.

  Parameters:
    `query` - The search criteria
    (type=`list`)
    `uid` - If true, the IDs specified in the query are UIDs; otherwise they are message sequence IDs.
    (type=`bool`)
  Returns:
    A list of message sequence numbers or message UIDs which match the search criteria or a `Deferred` whose callback will be invoked with such a list.
    (type=`list` or `Deferred`)

Generated by Epydoc 2.0 on Sat May 15 20:08:01 2004 | http://epydoc.sf.net